<%@ LANGUAGE=JSCRIPT Debug="true" %>
<!--**************************************************************
**
**	(C) Aquaforest Limited 2004
**
**	FILE 
**	te006.asp		
**
**	DESCRIPTION	
**	TIFF Explorer - Search Processing and Results
**	
**
**	DATE		VERSION LOG
**
**************************************************************-->
<!--#INCLUDE FILE="teconfig.inc"-->
<HEAD>
<!--#INCLUDE FILE="teCSS.inc"-->
</HEAD>
<%
var config=''+Request("config");
if(config=="")
	config="root";
	
teGetRootConfig(config);

var limit_sr=false;

if(max_search_results>0) limit_sr=true;

Response.Write('<body leftmargin="3" topmargin="0" marginwidth="0" marginheight="0" >');

var nextURL=new Array();
var nextURLCount=0;

var d1=new Date();

var FSO=Server.CreateObject('Scripting.FileSystemObject');

var doctype=''+Request("doctype");
var doctypeIndex=-1;
var openfirst=''+Request("openfirst");

// Create Token File
//var Wsh = Server.CreateObject("Wscript.Shell");

var tfName=Server.MapPath(temp_dir)+"\\"+Session.SessionID+".tes";
try {	
	var fo=FSO.CreateTextFile(tfName,true);
	fo.Close();
}
catch(e)
{
	Response.Write("Could not write token file : "+tfName+" ("+e.description+")<BR>");
	//Response.End();
}

for (var i=0; i<num_doctypes; i++)
{

	if(doctype_name[i]==doctype)
	{
		doctypeIndex=i;
		break;
	}
}


var doctype_root=doctype_root[doctypeIndex];
var doctype_results_type=doctype_results_type[doctypeIndex];

var levelRE=new Array();

for(var j=0; j<doctype_attribute_count[doctypeIndex]; j++)
{
	var name=doctype_attributes[doctypeIndex].att[j].name;
	var level=doctype_attributes[doctypeIndex].att[j].level;
	
	//if(wildcardMethod=="LHS")	
	//	var e="levelRE["+level+"]=\"^"+ Request(name)+".*$\"";
	//else if(wildcardMethod=="FULL")	
	//	var e="levelRE["+level+"]=\".*"+ Request(name)+".*$\"";
		
	if(wildcardMethod=="LHS")	
		var e="^"+ Request(name)+".*$";
	else if(wildcardMethod=="FULL")	
		var e=".*"+ Request(name)+".*$";		
		
		
		
		
		levelRE[level]=e;
		//Response.Write(e); Response.End();
	//eval(e);

	if(levelRE[level]=="^$") levelRE[level]=".*";
}

var max_levels=j;
var ifolder=doctype_root;
var folder;
try
{
		folder=FSO.GetFolder(Server.MapPath(ifolder));
}
catch(e)
{
		Response.Write("Error:"+e.message+" ["+ifolder+"]");
		Response.End();
}

var qry_id=''+Request("ID");
var found=0;

renderHeader();
Response.Flush();
enumerate(folder,1,ifolder);
renderFooter();
genNextURLs();
deleteTokenFile();

function limitReached()
{
	renderFooter();
	
	Response.Write("<BR>Seach Limit of "+max_search_results+" has been exceeded.  Search Halted.");
	deleteTokenFile();	
	Response.End();
}
	
function stopSearch()
{
	renderFooter();
	genNextURLs();
	Response.End();
}
function deleteTokenFile()
{
	try {
		FSO.DeleteFile(tfName,true);
	}
	catch(e)
	{
		Response.Write("Could not delete token file : "+tfName+" ("+e.description+")<BR>");
		Response.End();
	}
}
function checkStop()
{
	if(FSO.FileExists(tfName))
		return(false);
	else
		return(true);
}

function enumerate(f,l,wf)
{
	var sf;
	var re=new RegExp(levelRE[l],"i");
	var e=new Enumerator(f.SubFolders);
	


	for(; !e.atEnd(); e.moveNext())
	{

		sf=e.item();

		if(l==max_levels)
		{
			if(sf.name.match(re)!=null)
			{
				if(multi_page_TIFF=="true")
					renderFolder(sf,wf);
				else
					renderVFile(sf,wf);
				found++;
				if(limit_sr&&found>max_search_results) 
						limitReached();
			}
		}
		else if(sf.name.match(re)!=null)
		{
			enumerate(sf,l+1,wf+"/"+sf.name);
		}
	}
	if(l==max_levels)
	{
		// Match Files 
			var e=new Enumerator(f.Files);
			for(; !e.atEnd(); e.moveNext())
			{
				sf=e.item();
				if(sf.name.match(re)!=null  && FileTypeOK(sf.Path))
				{
					/* If relative to TIFF Explorer directory, add .. to allow for TS subdirectory
					if(wf.substring(0,1)!="/")
						renderFile(sf,"../"+wf);
					else
					*/
						renderFile(sf,wf);
					found++;
					if(limit_sr&&found>max_search_results) 
						limitReached();
				}
			}
	}
	Response.Flush();
	if(checkStop())
		stopSearch();

}

function hasSubFolders(f)
{
	var e=new Enumerator(f.SubFolders);
	for(; !e.atEnd(); e.moveNext())
	{
		return("true");
	}
	return("false");

}

function renderHeader()
{
	var irow="";
	renderHeading(8);
	iperrow=1;
		irow+="<TR BGCOLOR=#EBEADB>";
		irow+="<TD WIDTH=18></TD><TD>Name</TD>";
		irow+="<TD><IMG VSPACE=2 SRC=images/emenudiv.png></TD>";
		irow+="<TD WIDTH=50 ALIGN=RIGHT>Size</TD>";
		irow+="<TD><IMG SRC=images/emenudiv.png></TD>";
		
		irow+="<TD  WIDTH=70 >&nbsp;&nbsp;&nbsp;Type</FONT></TD>";
		irow+="<TD><IMG SRC=images/emenudiv.png></TD>";
		irow+="<TD ALIGN=RIGHT>Modified</TD></TR>";
		irow+="<TR><TD HEIGHT=4 COLSPAN=8 BACKGROUND=images/hdrbg1.png></TD></TR>";		
		Response.Write(irow);
}
function renderFolder(f,wf)
{
		if(openfirst!="")
			openFirst("te003.aspx?mode=1&ifolder="+wf+"/"+f.Name);
		var irow="<TR>";
		irow+="<TD BORDER=0><A CLASS=action HREF='te003.aspx?mode=1&ifolder="+wf+"/"+f.Name+"'>";
		irow+="<IMG BORDER=0 STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='"+f.Name+"' SRC='images/icon_fdr.png'></A></TD><TD><A CLASS=action HREF='te003.aspx?mode=1&ifolder="+wf+"/"+f.Name+"'>"+f.Path+"</A></TD><TD></TD><TD ALIGN=RIGHT>"+" "+"</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;"+f.Type+"</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+teDateFormat(f.DateLastModified)+"</TD></TR>";
		Response.Write(irow);
}


function renderFile(f,ifolder)
{
	var irow="";
	var docno=nextURLCount+1;
if(auto_convert_to_pdf=="true")
	var displayasp="aquatiffpdf.aspx";
else
	var displayasp="tiffserver.aspx";
	
	if(openfirst!="")
		openFirst(displayasp+"?at_url="+ifolder+"/"+f.Name);
		
	addNextURL(displayasp+"?at_url="+ifolder+"/"+f.Name);
	
	irow+="<TR><TD BORDER=0><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")';>";
		
		irow+="<IMG BORDER=0  HSPACE=1 VSPACE=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='";
		
		irow+=((f.Name).split("."))[0]+"' SRC='images/icon_tfd.png'></A></TD><TD><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")';>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+kfmt(f.Size);
		
		irow+="</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;"+f.Type+"</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+teDateFormat(f.DateLastModified)+"</TD></TR>";
		
		Response.Write(irow);	
}

function renderVFile(f,ifolder)
{
	var irow="";
	var docno=nextURLCount+1;
	if(auto_convert_to_pdf=="true")
		var displayasp="aquatiffpdf.aspx";
	else
		var displayasp="tiffserver.aspx";
			
	addNextURL(displayasp+"?at_url="+ifolder+"/"+f.Name);
	
	if(openfirst!="")
		openFirst(displayasp+"?at_url="+ifolder+"/"+f.Name);
irow+="<TR><TD BORDER=0><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")'>";
				irow+="<IMG BORDER=0  HSPACE=1 VSPACE=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='"+((f.Name).split("."))[0]+"' SRC='images/icon_tfd.png'></A></TD><TD><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")'>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+kfmt(f.Size)+"</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;Virtual Image Document</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+teDateFormat(f.DateLastModified)+"</TD></TR>";
		Response.Write(irow);	
}

function renderFooter()
{
	var d2=new Date();
	var start=d1.getTime();
	var end=d2.getTime();
	var interval=end-start;
	Response.Write("</TABLE>");
	Response.Write("<BR>Time : "+interval+" Milliseconds");

	Response.Write("<BR>Found "+found+" Items");
	Response.Write("<SCRIPT>parent.CONTROL.IFSEARCH.searchComplete();");
	Response.Write("parent.CONTROL.greyNextDoc();\n");
	Response.Write("parent.CONTROL.greyPrevDoc();\n");
	Response.Write("parent.CONTROL.greyUpf();\n");
	Response.Write("parent.CONTROL.greyMode0();\n");
	Response.Write("parent.CONTROL.greyMode1();\n");
	Response.Write("</SCRIPT>");
}
function renderHeading(cs)
{

	var csp=cs-2;
	
	Response.Write("<BR><TABLE class=menucell CELLSPACING=0 BORDER=0 CELLPADDING=0>");
	
	Response.Write('<tr class="menuhead" ><td  valign=top  class=menudiv><img valign=top src=images/wtlcb.png></td><tD class="menuhead"  HEIGHT=5 COLSPAN="'+csp+'"></td><td  valign=top align=right><img src=images/wtrcb.png></td></tr><TR><TD class="menuhead" colSpan="'+cs+'">&nbsp;&nbsp;Search Results</TD></TR><tr><tD class="menuhead"  HEIGHT=5 COLSPAN="'+cs+'"></td></tr>');

}

function openFirst(u)
{
	Response.Write("<SCRIPT>parent.CONTROL.IFSEARCH.searchComplete();");
	
	Response.Write("location='"+u+"';");
	
	Response.Write("</SCRIPT>");	
	Response.End();
}
function addNextURL(u)
{
	nextURL[nextURLCount]=u;
	nextURLCount++;
}
function genNextURLs()
{
	Response.Write("<SCRIPT>");
	Response.Write("parent.CONTROL.nextURLCount="+nextURLCount+";\n");
	var i;
	for(i=0; i<nextURLCount; i++)
	{
		Response.Write("parent.CONTROL.nextURL["+i+"]='"+nextURL[i]+"';\n");
	}
	Response.Write("parent.CONTROL.greyNextDoc();\n");
	Response.Write("parent.CONTROL.greyPrevDoc();\n");
	Response.Write("parent.CONTROL.activeMode0();\n");
	Response.Write("parent.CONTROL.activeMode1();\n");

	Response.Write("</SCRIPT>");
}

%>
<SCRIPT>
function doDisplay(url,np,docno)
{
	if(np==true)
	{
		if(docno>1) parent.CONTROL.activePrevDoc();	
		if(docno< ( <%=nextURLCount%> ) )parent.CONTROL.activeNextDoc();	
	}
	window.location=url;
}
</SCRIPT>