<%@ LANGUAGE=JSCRIPT %>
<!--**************************************************************
**
**	(C) Aquaforest Limited 2004
**
**	FILE 
**	te003.asp		
**
**	DESCRIPTION	
**	TIFF Explorer - Explore Directory Display
**	
**
**	DATE		VERSION LOG
**
**************************************************************-->
<!--#INCLUDE FILE="teconfig.inc"-->
<HTML>
<HEAD>
<!--#INCLUDE FILE="teCSS.inc"-->
</HEAD>
<%

var config=''+Request("config");
if(config=="")
	config="root";

var display_width=''+Request("display_width");
if(display_width!="" && adjustTND==true)
{
	iperrow=(Math.floor(display_width/(imagewidth+20)));
}

teGetRootConfig(config);

var limit_dd=false;

if(max_directory_display>0) limit_dd=true;

if(auto_convert_to_pdf=="true")
	var displayasp="aquatiffpdf.aspx";
else
	var displayasp="tiffserver.aspx";

if(multi_page_TIFF=="true")
	var imageURLBase="tssp.aspx?WI="+imagewidth+"&PN=1&FN=";
else
	var imageURLBase="tssp.aspx?WI="+imagewidth+"&PN=1&MF=1&FN=";

var nextURL=new Array();
var nextURLCount=0;
var teDirectory=Server.MapPath("images"); 

var mode=''+Request("mode"); /* 0=Thumbnail, 1=Details */
var dir=''+Request("dir");
var FSO=Server.CreateObject('Scripting.FileSystemObject');

var folder=FSO.GetFolder(teDirectory);

var ifolder=''+Request("ifolder");
if (ifolder=="") ifolder=''+Session("ifolder");
if(ifolder!="")
{
	Session("ifolder")=ifolder;
	try
	{
		folder=FSO.GetFolder(Server.MapPath(ifolder));
	}
	catch(e)
	{
		Response.Write("Error:"+e.message+" ["+ifolder+"]");
	}



}


var files=folder.Files;
var e,f,s="";
var i=0;
var hrow="", irow="", trow="";



doTableHeader();

if(multi_page_TIFF=="true")
{
	doFolders();
	doFiles();
}
else
{
	/* If there are any folders, Ignore Files */
	doSPFolders();
}

doTableFooter();

function limitReached()
{
	doTableFooter();
	
	Response.Write("<BR>Directory display limit of "+max_directory_display+" has been exceeded.  Display Halted.");
	
	Response.End();
}
	
function doFolders()
{	
	if(mode=="0")
	{
		e=new Enumerator(folder.SubFolders);
		for(; !e.atEnd(); e.moveNext())
		{
			if(limit_dd&&i>max_directory_display) 
				limitReached();
			f=e.item();
			irow+="<TD ALIGN=CENTER BORDER=0>";
			irow+="<A CLASS=action HREF='te003.aspx?config="+config+"&mode=0&ifolder=";
			irow+=ifolder+"/"+f.Name+"'>";
			irow+="<IMG HSPACE=1 VSPACE=1 BORDER=0 ";
			irow+=" STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='";
			irow+=f.Name+"' SRC='images/icon_llfdr.png'><BR>"+f.Name+"</A></TD>\n";
			i++;
			if(i%iperrow==0) 
				doRow();
		}
	}
	else
	if(mode=="1")
	{
		e=new Enumerator(folder.SubFolders);
		for(; !e.atEnd(); e.moveNext())
		{
			if(limit_dd&&i>max_directory_display) 
				limitReached();
			f=e.item();
			irow+="<TD BORDER=0><A CLASS=action HREF='te003.aspx?config="+config+"&mode=1&ifolder=";
			irow+=ifolder+"/"+f.Name+"'>";
			irow+="<IMG  HSPACE=1 VSPACE=1 BORDER=0 STYLE='border-color:cccccc' ";
			irow+=" BORDERCOLOR=000000 NAME='"+f.Name+"' SRC='images/icon_fdr.png'></A>";
			irow+="</TD><TD><A CLASS=action HREF='te003.aspx?config="+config+"&mode=1&ifolder="+ifolder+"/";
			irow+=f.Name+"'>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>"+" ";
			irow+="</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;"+f.Type;
			irow+="</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;";
			irow+=teDateFormat(f.DateLastModified)+"</TD>";
			i++;
			if(i%iperrow==0) 
			doRow();
		}
	}
}


function doSPFolders()
{	

	if(mode=="0")
	{
		e=new Enumerator(folder.SubFolders);
		for(; !e.atEnd(); e.moveNext())
		{
			if(limit_dd&&i>max_directory_display) 
				limitReached();
			f=e.item();
			if(hasSubFolders(f))
			{
				irow+="<TD ALIGN=CENTER BORDER=0>";
				irow+="<A CLASS=action HREF='te003.aspx?config="+config+"&mode=0&ifolder=";
				irow+=ifolder+"/"+f.Name+"'>";
				irow+="<IMG HSPACE=1 VSPACE=1 BORDER=0 ";
				irow+=" STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='";
				irow+=f.Name+"' SRC='images/icon_llfdr.png'><BR>"+f.Name+"</A></TD>\n";
			}
			else
			{
				irow+="<TD BORDER=0  VALIGN=TOP ALIGN=CENTER><A  HREF='"+displayasp+"?at_url="+ifolder+"/"+f.Name+"'>";
				irow+="<IMG ONERROR='this.src=\"images/noimage.png\"'  HSPACE=1 VSPACE=1  BORDER=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 WIDTH="+imagewidth+" NAME='"+f.Name+"' SRC='"+imageURLBase+f.Path+"'></A><BR>"+"<SPAN CLASS=menucell>"+f.ShortName+"</SPAN></TD>";
			}
			
			
			i++;
			if(i%iperrow==0) 
				doRow();
		}
	}
	else
	if(mode=="1")
	{
		e=new Enumerator(folder.SubFolders);
		for(; !e.atEnd(); e.moveNext())
		{
			if(limit_dd&&i>max_directory_display) 
				limitReached();
			f=e.item();
			if(hasSubFolders(f))
			{
				irow+="<TD BORDER=0><A CLASS=action HREF='te003.aspx?config="+config+"&mode=1&ifolder=";
				irow+=ifolder+"/"+f.Name+"'>";
				irow+="<IMG  HSPACE=1 VSPACE=1 BORDER=0 STYLE='border-color:cccccc' ";
				irow+=" BORDERCOLOR=000000 NAME='"+f.Name+"' SRC='images/icon_fdr.png'></A>";
				irow+="</TD><TD><A CLASS=action HREF='te003.aspx?config="+config+"&mode=1&ifolder="+ifolder+"/";
				irow+=f.Name+"'>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>"+" ";
				irow+="</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;"+f.Type;
				irow+="</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;";
				irow+=teDateFormat(f.DateLastModified)+"</TD>";
				i++;
			}
			else
			{
				irow+="<TD BORDER=0><A class=action HREF='"+displayasp+"?at_url="+ifolder+"/"+f.Name+"'>";
				irow+="<IMG BORDER=0  HSPACE=1 VSPACE=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='"+((f.Name).split("."))[0]+"' SRC='images/icon_tfd.png'></A></TD><TD><A class=action HREF='"+displayasp+"?at_url="+ifolder+"/"+f.Name+"'>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+kfmt(f.Size)+"</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;Virtual Image Document</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+teDateFormat(f.DateLastModified)+"</TD>";	
			}
			if(i%iperrow==0) 
			doRow();
		}
	}
	if(i%iperrow!=0) doRow();
}




function doFiles()
{

	var docno=0;

	var tifolder=ifolder;
	/* If relative to TIFF Explorer directory, add .. to allow for TS subdirectory	
	if(ifolder.substring(0,1)!="/")
		ifolder="../"+ifolder;
	Now removed following entegration	
		
	*/	
	e=new Enumerator(folder.Files);
	for(; !e.atEnd(); e.moveNext())
	{
		if(limit_dd&&i>max_directory_display) 
				limitReached();
		f=e.item();
		if(FileTypeOK(f.Path))
		{
			docno++;
			addNextURL(displayasp+"?at_url="+ifolder+"/"+f.Name);
			if(mode=="0")
			{
				irow+="<TD BORDER=0  VALIGN=TOP ALIGN=CENTER><A  HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")';>";
				irow+="<IMG  HSPACE=1 VSPACE=1  BORDER=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 WIDTH="+imagewidth+" NAME='"+f.Name+"' SRC='"+imageURLBase+f.Path+"'></A><BR>"+"<SPAN CLASS=menucell>"+f.ShortName+"</SPAN></TD>";
				if(hrow!="") hrow+=",";
				if(1==1)
					hrow=""; 
				else
					hrow+="'<FONT SIZE=-2>"+f.Name+"&nbsp;<A HREF=../"+fullback+"&dfile="+f.Name+" STYLE=\"color:white;font-size:9\">(Delete)</A><BR>"+teDateFormat(f.DateCreated)+"</FONT>'";
			}
			else if(mode=="1")
			{
				irow+="<TD BORDER=0><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")';>";
				irow+="<IMG BORDER=0  HSPACE=1 VSPACE=1 STYLE='border-color:cccccc' BORDERCOLOR=000000 NAME='"+((f.Name).split("."))[0]+"' SRC='images/icon_tfd.png'></A></TD><TD><A class=action HREF='javascript:doDisplay(\""+displayasp+"?at_url="+ifolder+"/"+f.Name+"\",true,"+docno+")';>"+f.Name+"</A></TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+kfmt(f.Size)+"</TD><TD></TD><TD>&nbsp;&nbsp;&nbsp;"+f.Type+"</TD><TD></TD><TD ALIGN=RIGHT>&nbsp;&nbsp;&nbsp;"+teDateFormat(f.DateLastModified)+"</TD>";	
			}
			i++;
			if(i%iperrow==0) 
			doRow();
		}
	}
	
	if(i%iperrow!=0) doRow();
	ifolder=tifolder;
}


genNextURLs();


function doRow()
{
	while(i%iperrow!=0) 
	{
		irow+="<TD VALIGN=TOP></TD>";
		hrow+="";
		i++;
	}

	if(hrow!="") Response.Write("<TR >"+hrow+"</TR>");
	Response.Write("<TR >"+irow+"</TR>");

	hrow="";
	irow="";
	trow="";
}





function renderLocation(f,wf,cs)
{
	var csp=cs-2;
	Response.Write('<tr class="menuhead" ><td  valign=top  class=menudiv><img valign=top src=images/wtlcb.png></td><tD class="menuhead"  HEIGHT=5 COLSPAN="');
	
	Response.Write(csp+'"></td><td  valign=top align=right><img src=images/wtrcb.png></td></tr><TR><TD class="menuhead" colSpan="');
	
	Response.Write(cs+'">&nbsp;&nbsp;'+f+'</TD></TR><tr><tD class="menuhead"  HEIGHT=5 COLSPAN="'+cs+'"></td></tr>');	
}

function addNextURL(u)
{
	nextURL[nextURLCount]=u;
	nextURLCount++;
}
function genNextURLs()
{
	Response.Write("<SCRIPT>");
	Response.Write("parent.CONTROL.nextURLCount="+nextURLCount+";\n");
	var i;
	for(i=0; i<nextURLCount; i++)
	{
		Response.Write("parent.CONTROL.nextURL["+i+"]='"+nextURL[i]+"';\n");
		if(i==1)
		{
			/* More than one document */
		}
	}
	Response.Write("parent.CONTROL.greyNextDoc();\n");
	Response.Write("parent.CONTROL.greyPrevDoc();\n");
	Response.Write("parent.CONTROL.activeMode0();\n");
	Response.Write("parent.CONTROL.activeMode1();\n");

	Response.Write("</SCRIPT>");
}
function doTableHeader()
{
	if(mode=="0")
	{
	Response.Write('<body leftmargin="3" topmargin="0" marginwidth="0" marginheight="0" >');
	Response.Write("<BR><TABLE class=menucell CELLSPACING=0 BORDER=0 CELLPADDING=0>");
	renderLocation(folder,ifolder,iperrow);
	}
	else
	if(mode=="1")
	{
	Response.Write('<body leftmargin="3" topmargin="0" marginwidth="0" marginheight="0" >');
	Response.Write("<BR><TABLE class=menucell CELLSPACING=0 BORDER=0 CELLPADDING=0>");
	renderLocation(folder,ifolder,8);
	iperrow=1;
	Response.Write("<TR BGCOLOR=#EBEADB>");
	Response.Write("<TD WIDTH=18></TD><TD>Name</TD>");
	Response.Write("<TD><IMG VSPACE=2 SRC=images/emenudiv.png></TD>");
	Response.Write("<TD WIDTH=50 ALIGN=RIGHT>Size</TD>");
	Response.Write("<TD><IMG SRC=images/emenudiv.png></TD>");
		
	Response.Write("<TD  WIDTH=70 >&nbsp;&nbsp;&nbsp;Type</FONT></TD>");
	Response.Write("<TD><IMG SRC=images/emenudiv.png></TD>");
	Response.Write("<TD ALIGN=RIGHT>Modified</TD></TR>");
	}
}	

function doTableFooter()
{
	Response.Write("</TABLE>");
}

function hasSubFolders(f)
{
	var e=new Enumerator(f.SubFolders);
	for(; !e.atEnd(); e.moveNext())
	{
		return(true);
	}
	return(false);

}
%>
<SCRIPT>
function doDisplay(url,np,docno)
{
	if(np==true)
	{
		if(docno>1) parent.CONTROL.activePrevDoc();	
		if(docno<<%=nextURLCount%>)parent.CONTROL.activeNextDoc();	
	}
	window.location=url;
}
parent.CONTROL.upFolderLocation="te003.aspx?<%=Request.ServerVariables("QUERY_STRING")%>";
if(parent.CONTROL.upFolderLocation.indexOf("ifolder")<0)
	parent.CONTROL.upFolderLocation+="&ifolder=<%=Session("ifolder")%>";

parent.CONTROL.setUpf();
	
</SCRIPT>
</html>
<%Response.End()%>